@echo off

echo please make sure that default Python version is 3.10.x

git clone https://github.com/haotian-liu/LLaVA.git

pip install requests

python download.py

cd LLaVA

echo downloading gradio_web_server.py...


python -m pip install --upgrade pip

echo composing venv
IF NOT EXIST venv (
    python -m venv venv
) ELSE (
    echo venv folder already exists, skipping making new venv...
)
call .\venv\Scripts\activate.bat


pip install -e .
pip uninstall bitsandbytes --yes

pip3 install torch==2.2.0 torchvision torchaudio --index-url https://download.pytorch.org/whl/cu121 --upgrade
pip install https://github.com/jllllll/bitsandbytes-windows-webui/releases/download/wheels/bitsandbytes-0.41.2.post2-py3-none-win_amd64.whl --upgrade
pip install protobuf --upgrade
pip install xformers==0.0.24 --upgrade


echo installing triton-2.1.0

pip install https://huggingface.co/MonsterMMORPG/SECourses/resolve/main/triton-2.1.0-cp310-cp310-win_amd64.whl --upgrade

echo installing requirements

pip install https://huggingface.co/MonsterMMORPG/SECourses/resolve/main/deepspeed-0.11.2_cuda121-cp310-cp310-win_amd64.whl --upgrade

echo all install completed. please verify no errors
REM Exit the batch file
pause
