
git clone https://github.com/haotian-liu/LLaVA.git
cd LLaVA

echo downloading gradio_web_server.py...
wget "https://huggingface.co/MonsterMMORPG/SECourses/resolve/main/gradio_web_server.py" -O "/workspace/LLaVA/llava/serve/gradio_web_server.py"

# Create virtual environment folder
echo "composing venv"

if [ ! -d "venv" ]; then
    python -m venv venv
else
    echo "venv folder already exists, skipping making new venv..."
fi

# Activate virtual environment
source venv/bin/activate

pip install -e .

pip install protobuf

echo all install completed. please verify no errors

